Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/context_dynamico.xml
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/context_dynamico.xml	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/context_dynamico.xml	(revision 4232)
@@ -0,0 +1,210 @@
+<!-- =========================================================================================================== -->
+<!-- DYNAMICO context                                                                                            -->
+<!-- context_dynamico.xml : Configuration file for DYNAMICO for reading and writing  files using XIOS            -->
+<!--                                                                                                             -->
+<!-- =========================================================================================================== -->
+
+<context id="icosagcm" >
+  <calendar type="d360" start_date="2000-01-01 00:00:00" time_origin="2000-01-01 00:00:00"/>
+  
+  <!-- =========================================================================================================== -->
+  <!-- Definition of all existing variables in field_def_dynamico.xml                                              -->
+  <!-- =========================================================================================================== -->
+  <field_definition src="./field_def_dynamico.xml" />
+
+  <!-- =========================================================================================================== -->
+  <!-- Definition of output files in file_def_dynamico.xml, not including restart files                            -->
+  <!-- =========================================================================================================== -->
+  <file_definition src="./file_def_dynamico.xml" />  
+
+  <!-- =========================================================================================================== -->
+  <!-- Definition of input fields                                                                                  -->
+  <!-- =========================================================================================================== -->
+  <field_definition>
+
+     <field_group id="read_fields" enabled="false" operation="instant">
+      
+        <field id="relief_db" field_ref="relief_reg" domain_ref="from_relief" read_access="true"  />
+        <field_group domain_ref="from_ecdyn" read_access="true" >
+           <field id="ps_db" field_ref="ps_reg" />
+           <field id="z_db"  field_ref="z_reg"  />
+           <field id="ts_db" field_ref="ts_reg" />
+           <field_group axis_ref="lev_ecdyn" >
+              <field id="u_db" field_ref="u_reg"  />
+              <field id="v_db" field_ref="v_reg"   />
+              <field id="temp_db" field_ref="temp_reg" />
+              <field id="q_db"    field_ref="q_reg"    />
+           </field_group>
+        </field_group>
+    
+     </field_group>
+
+  </field_definition> 
+
+
+  <!-- =========================================================================================================== -->
+  <!-- Definition of restart files and other input files                                                           -->
+  <!-- =========================================================================================================== -->
+  <file_definition type="one_file" par_access="collective">
+
+    <file id="output" name="output" enabled=".FALSE."  output_freq="2h" sync_freq="2h" output_level="10" >
+      <field_group group_ref="standard_output"/>
+    </file>
+
+    <file id="restart" name="restart" enabled="true">
+       <field_group id="group_restart" operation="once"> 
+          <field id="it_restart" name="iteration"  grid_ref="scalar" />
+          <field id="q_restart" name="q"  grid_ref="grid_q" />
+
+          <field id="xcell_restart" name="xcell" domain_ref="i" prec="8"/>
+          <field id="ycell_restart" name="ycell" domain_ref="i" prec="8"/>
+          <field id="zcell_restart" name="zcell" domain_ref="i" prec="8"/>
+
+          <field_group domain_ref="i"> 
+             <field id="ps_restart" name="ps" />
+             <field id="phis_restart" name="phis" />
+             <field_group axis_ref="lev" >
+                <field id="theta_rhodz_restart" name="theta_rhodz" />
+                <field id="u_restart" name="u" domain_ref="u"/>
+                <field id="ulon_restart" name="ulon" />
+                <field id="ulat_restart" name="ulat" />
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
+    <file id="start" name="start" enabled="true" mode="write">
+       <field_group id="group_start" operation="once"> 
+          <field id="it_start" name="iteration"  grid_ref="scalar" />
+          <field_group domain_ref="i"> 
+             <field id="ps_start" name="ps" />
+             <field id="phis_start" name="phis" />
+             <field id="xcell_start" name="xcell" domain_ref="i" prec="8"/>
+             <field id="ycell_start" name="ycell" domain_ref="i" prec="8"/>
+             <field id="zcell_start" name="zcell" domain_ref="i" prec="8"/>
+             <field_group axis_ref="lev" >
+                <field id="theta_rhodz_start" name="theta_rhodz" />
+                <field id="u_start" name="u" domain_ref="u"/>
+                <field id="ulon_start" name="ulon" />
+                <field id="ulat_start" name="ulat" />
+             </field_group>
+          </field_group>
+          <field id="q_start" name="q"  grid_ref="grid_q" />
+       </field_group>
+    </file>
+
+    <file_group id="read_files" enabled="false" >
+
+       <file id="relief" name="Relief" type="one_file" mode="read" output_freq="10ts">
+           <field id="relief_reg" name="RELIEF" domain_ref="domain_relief" operation="instant" />
+       </file>
+      
+       <file id="ECDYN"  name="ECDYN" type="one_file" mode="read" output_freq="10ts">
+          <field_group domain_ref="domain_ecdyn" operation="instant">
+             <field id="ps_reg"   name="SP"      />
+             <field id="z_reg"    name="Z"       />
+             <field id="ts_reg"   name="ST"      />
+             <field_group axis_ref="lev_ecdyn"   >
+                <field id="u_reg"    name="U"     />
+                <field id="v_reg"    name="V"     />
+                <field id="temp_reg" name="TEMP"  />
+                <field id="q_reg"    name="R"     />
+             </field_group>
+          </field_group>
+       </file>
+    
+    </file_group>    
+  </file_definition>
+    
+
+  <!-- =========================================================================================================== -->
+  <!-- Axis definitions                                                                                            -->
+  <!-- =========================================================================================================== -->
+  <axis_definition>
+    <axis id="lev" name="lev" positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate" long_name="hybrid level at midpoints" />
+    <axis id="levp1" name="ilev"  unit="level" positive="down" standard_name="atmopshere_hybride_sigma_pressure_coordinate" long_name="hybrid level at interface" />
+    <axis id="lev_pressure" positive="down"  n_glo="2" unit="Pa" value="(0,1)[85000 50000]" >
+      <interpolate_axis order="1" coordinate="p" />
+    </axis>    
+    <axis id="nq" name="nq" n_glo="6" value="(0,5)[1 2 3 4 5 6]"/>
+    <axis id="lev_ecdyn" />
+
+    <axis id="lev_guided" />
+    <axis id="presnivs_mb" >
+      <interpolate_axis order="2" /> 
+    </axis>
+  </axis_definition>    
+  
+
+  <!-- =========================================================================================================== -->
+  <!-- Domain definitions                                                                                          -->
+  <!-- =========================================================================================================== -->
+  <domain_definition>
+
+    <domain_group id="i"> 
+      <domain id="i" name="mesh"/>     
+
+      <domain id="from_relief" >
+        <interpolate_domain/>
+      </domain>
+      
+      <domain id="from_ecdyn" >
+        <interpolate_domain/>
+      </domain>
+      
+     <domain id="from_guided" >
+       <interpolate_domain order="2"/>
+     </domain>
+
+    </domain_group> 
+
+    <domain id="v" />
+    <domain id="u" />
+     
+    <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
+      <generate_rectilinear_domain />
+      <interpolate_domain order="1"/>
+    </domain> 
+    
+    <domain id="regular_one_degree" type="rectilinear" ni_glo="360" nj_glo="180" >
+      <generate_rectilinear_domain />
+      <interpolate_domain order="1"/>
+    </domain> 
+    
+    <domain id="regular_two_degree" type="rectilinear" ni_glo="180" nj_glo="90" >
+      <generate_rectilinear_domain />
+      <interpolate_domain order="1"/>
+    </domain> 
+    
+    <domain id="domain_relief" type="rectilinear" >
+      <generate_rectilinear_domain />
+    </domain>
+    
+    <domain id="domain_ecdyn" type="rectilinear" >
+      <generate_rectilinear_domain />
+    </domain>
+
+       <domain id="domain_guided" type="rectilinear">
+         <generate_rectilinear_domain />
+       </domain> 
+    
+  </domain_definition>    
+  
+
+  <!-- =========================================================================================================== -->
+  <!-- Grid definitions                                                                                            -->
+  <!-- =========================================================================================================== -->
+  <grid_definition>    
+    <grid id="scalar">
+      <scalar />
+    </grid>
+    
+    <grid id="grid_q">
+      <domain domain_ref="i" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid>
+
+  </grid_definition>   
+
+</context>
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/context_input_dynamico.xml
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/context_input_dynamico.xml	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/context_input_dynamico.xml	(revision 4232)
@@ -0,0 +1,17 @@
+<context id="icosagcm_input" >
+  <calendar type="d360" start_date="2000-01-01 00:00:00" time_origin="2000-01-01 00:00:00"/>
+  
+   <file_definition type="one_file" par_access="collective">
+
+      <file id="start" name="start" enabled="false" mode="read" output_freq="1d">
+          <field id="xcell_start" name="xcell" domain_ref="i" operation="instant" prec="8"/>
+          <field id="ycell_start" name="ycell" domain_ref="i" operation="instant" prec="8"/>
+          <field id="zcell_start" name="zcell" domain_ref="i" operation="instant" prec="8"/>
+      </file>
+   </file_definition>
+
+  <domain_definition>
+    <domain id="i"/>
+  </domain_definition>
+     
+</context>
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/field_def_dynamico.xml
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/field_def_dynamico.xml	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/field_def_dynamico.xml	(revision 4232)
@@ -0,0 +1,124 @@
+<!-- =========================================================================================================== -->
+<!-- field_def_dynamico.xml                                                                                      -->
+<!-- Definition of all existing variables that can be output from DYNAMCIO                                       -->
+<!-- =========================================================================================================== -->
+
+<field_definition level="1" enabled=".TRUE." operation="instant">
+  
+  <field_group id="standard_output"> 
+    
+    <field id="timestep" grid_ref="scalar" unit="s"/>
+    <field id="preff" grid_ref="scalar"    unit="Pa"/>
+    <field id="ap" axis_ref="levp1"   long_name="hybrid A coefficient at layer interface" />
+    <field id="bp" axis_ref="levp1"  long_name="hybrid B coefficient at layer interface" />
+    <field id="mid_ap" axis_ref="lev"   long_name="hybrid A coefficient at midpoints" />
+    <field id="mid_bp" axis_ref="lev"  long_name="hybrid B coefficient at midpoints" />
+    
+    <field_group domain_ref="i">
+      <field id="ps" />
+      <field id="dps"  />
+      <field id="Ai" />
+      <field id="phis" />
+      <field id="phi" />
+      <field id="precl" />
+      <field id="Q1_col_int" />     
+      <field id="Q2_col_int" />     
+      <field id="ps_init" />
+      
+      <field_group axis_ref="lev"> 
+        <field id="mass" />
+        <field id="p" />
+        <field id="dmass"/>
+        <field id="theta" />
+        <field id="dyn_q" />
+        <field id="pk"/>
+        <field id="ulon"/>
+        <field id="ulat"/>
+        <field id="uz"/>
+        <field id="omega"/>
+        <field id="temp"/>
+        <field id="kinetic_trisk"/>
+        <field id="kinetic"/>
+        <field id="kinetic_trisk_init"/>
+        <field id="kinetic_init"/>
+        <field id="dulon_diss1"/>
+        <field id="dulat_diss1"/>
+        <field id="dulon_diss2"/>
+        <field id="dulat_diss2"/>
+        <field id="dulon_phys"/>
+        <field id="dulat_phys"/>
+
+        <field id="mass_t"           long_name="Time-averaged air mass"   unit="kg/m2"/>
+        <field id="massflux_lon"     long_name="Time-averaged air mass flux, zonal"   unit="kg/m/s"/>
+        <field id="massflux_lat"     long_name="Time-averaged air mass flux, meridional"   unit="kg/m/s"/>
+
+        <field id="ulon_t"           long_name="Time-averaged zonal momentum"   unit="kg/m/s"/>
+        <field id="ulonflux_lon"     long_name="Time-averaged zonal momentum flux, zonal"   unit="kg/s2"/>
+        <field id="ulonflux_lat"     long_name="Time-averaged zonal momentum flux, meridional"   unit="kg/s2"/>
+
+        <field id="theta_t"          long_name="Time-averaged potential temperature"   unit="K.kg/m2"/>
+        <field id="thetaflux_lon"    long_name="Time-averaged potential temperature flux, zonal"   unit="K.kg/m/s"/>
+        <field id="thetaflux_lat"    long_name="Time-averaged potential temperature flux, meridional"   unit="K/kg/m/s"/>
+
+        <field id="epot_t"           long_name="Time-averaged potential energy"   unit="J/m2"/>
+        <field id="epotflux_lon"     long_name="Time-averaged potential energy flux, zonal"   unit="J/m/s"/>
+        <field id="epotflux_lat"     long_name="Time-averaged potential energy flux, meridional"   unit="J/m/s"/>
+
+        <field id="ekin_t"           long_name="Time-averaged kinetic energy"   unit="J/m2"/>
+        <field id="ekinflux_lon"     long_name="Time-averaged kinetic energy flux, zonal"   unit="J/m/s"/>
+        <field id="ekinflux_lat"     long_name="Time-averaged kinetic energy flux, meridional"   unit="J/m/s"/>
+        
+        <field id="enthalpy_t"       long_name="Time-averaged enthalpy"   unit="J/m2"/>
+        <field id="enthalpyflux_lon" long_name="Time-averaged enthalpy flux, zonal"   unit="J/m/s"/>
+        <field id="enthalpyflux_lat" long_name="Time-averaged enthalpy flux, meridional"   unit="J/m/s"/>
+
+<!--        
+        <field id="q1"/>
+        <field id="q2"/>
+        <field id="q3"/>
+        <field id="q4"/>
+        <field id="q5"/>
+-->
+        
+        <field id="mass_init" />
+        <field id="p_init" />
+        <field id="theta_init" />
+        <field id="dyn_q_init" />
+        <field id="ulon_init"/>
+        <field id="ulat_init"/>
+        <field id="uz_init"/>
+        <field id="temp_init"/>
+        
+      </field_group>
+      <field id="u850" />
+      <field id="v850" />
+      <field id="w850" />
+      <field id="t850" />
+      <field id="omega850"/>                  
+      <field id="u500" />
+      <field id="v500" />
+      <field id="w500" />
+      <field id="t500" />
+      <field id="omega500"/>                  
+      <field id="SST"/>
+      
+      <field id="ulon_850_500" field_ref="p" axis_ref="lev_pressure" />
+      
+      <field_group axis_ref="levp1"> 
+        <field id="geopot"/>
+        <field id="geopot_init"/>
+      </field_group>
+    </field_group> 
+    <field id="q_init" grid_ref="grid_q" />    
+    <field id="q" grid_ref="grid_q" />    
+    
+    <field_group domain_ref="v" axis_ref="lev">
+      <field id="vort" />
+      <field id="pv" />
+    </field_group>
+    
+  </field_group>
+  
+  
+</field_definition>
+
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/file_def_dynamico.xml
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/file_def_dynamico.xml	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/file_def_dynamico.xml	(revision 4232)
@@ -0,0 +1,83 @@
+<!-- =========================================================================================================== -->
+<!-- file_def_dynamico                                                                                           -->
+<!-- Definition of output diagnostic files (not including restart files)                                         -->
+<!-- =========================================================================================================== -->
+<file_definition > 
+
+  <file id="output_dcmip2016_native" convention="CF" enabled="false" output_freq="3h" sync_freq="3h" output_level="10" timeseries="none" description="Dry baroclinic wave" > 
+    
+    <field_group id="dcmip2016_output_field_once" operation="once" freq_offset="0ts" ts_enabled="true">
+      <field field_ref="timestep" name="mdt" enabled="false" />
+      <field field_ref="preff" name="P0" long_name="reference pressure" />
+      <field field_ref="ap" name="hyai"   />
+      <field field_ref="bp" name="hybi"   />
+      <field field_ref="mid_ap" name="hyam"   />
+      <field field_ref="mid_bp" name="hybm"   />
+    </field_group>
+    
+    
+    <field_group id="dcmip2016_output_field" ts_enabled="true">
+      <field field_ref="ps" name="PS"       standard_name="surface_pressure" long_name="Surface pressure"         unit="Pa" />
+      <field field_ref="phis" operation="once" freq_offset="0ts" name="PHIS"   standard_name="surface_geopotential" long_name="Surface geopotential" unit="m2/m2"/>
+      <field field_ref="geopot"  name="PHI"   standard_name="geopotential" long_name="geopotential" unit="m2/s2"/>
+      <field field_ref="ulon" name="U"      standard_name="eastward_wind" long_name="Zonal wind"                  unit="m/s"/>
+      <field field_ref="ulat" name="V"      standard_name="northward_wind" long_name="Meridional wind"            unit="m/s"/>
+      <field field_ref="uz" name="W"        standard_name="upward_air_velocity" long_name="Vertical velocity"     unit="m/s"/>
+      <field field_ref="omega" name="OMEGA"        standard_name="lagrangian_tendency_of_air_pressure" long_name="Vertical pressure velocity"     unit="Pa/s"/>
+      <field field_ref="p"  name="P"        standard_name="air_pressure" long_name="Pressure"     unit="Pa"/>
+      <field field_ref="temp"  name="T"        standard_name="air_temperature" long_name="Temperature"     unit="K"/>
+<!--
+      <field field_ref="q1"  name="Q"        standard_name="specific_humidity"  long_name="Specific humidity"          unit="kg/kg"/>
+      <field field_ref="q2"  name="Qc"                                          long_name="Cloud water mixing ration"  unit="kg/kg"/>
+      <field field_ref="q3"  name="Qr"                                          long_name="Rain water mixing ration"  unit="kg/kg"/>
+-->
+      <field field_ref="precl"  name="PRECT"     standard_name="rainfall_rate"  long_name="Large Scale precipitation rate"  unit="m/s"/>
+<!--
+      <field field_ref="q4"  name="Q1"      long_name="Single chlorine mixing ratio"  unit="kg/kg"/> 
+      <field field_ref="q5"  name="Q2"      long_name="Chlorine gas mixing ratio"  unit="kg/kg"/> 
+-->
+      <field field_ref="Q1_col_int"  name="Q1_col_int"      long_name="Single chlorine column integrated mixing ratio"  unit="kg/m2"/> 
+      <field field_ref="Q2_col_int"  name="Q2_col_int"      long_name="Chlorine gas column integrated mixing ratio"  unit="kg/m2"/> 
+      <field field_ref="u850" name="U850"       long_name="Zonal wind at 850 hPa"      unit="m/s"/>
+      <field field_ref="v850" name="V850"       long_name="Meridional wind at 850 hPa"   unit="m/s"/>
+      <field field_ref="w850" name="W850"       long_name="Vertical velocity at 850 hPa"     unit="m/s"/>
+      <field field_ref="t850" name="T850"       long_name="Temperature at 850 hPa"   unit="K"/>
+      <field field_ref="omega850" name="OMEGA850"   long_name="Vertical pressure velocity at 850 hPa"     unit="Pa/s"/>
+      <field field_ref="u500" name="U500"       long_name="Zonal wind at 500 hPa"      unit="m/s"/>
+      <field field_ref="v500" name="V500"       long_name="Meridional wind at 850 hPa"   unit="m/s"/>
+      <field field_ref="w850" name="W500"       long_name="Vertical velocity at 500 hPa"     unit="m/s"/>
+      <field field_ref="t500" name="T500"       long_name="Temperature at 850 hPa"   unit="K"/>
+      <field field_ref="omega500" name="OMEGA500"   long_name="Vertical pressure velocity at 500 hPa"     unit="Pa/s"/>
+      <field field_ref="SST" name="SST"       long_name="Sea surface temperature"   unit="K"/>
+      
+    </field_group>
+
+    <variable name="model" type="string" > dynamico </variable>
+    <variable name="test_case" type="string" > 161_dry </variable>
+    <variable name="horizontal_resolution" type="string" > 1 degree native (grid points : 80x80x10) </variable>
+    <variable name="levels" type="string" > L30 </variable>
+    <variable name="grid" type="string" > hex </variable>
+    <variable name="equation" type="string" > hydro </variable>
+    <variable name="time_frequency" type="string" > 3hr </variable>    
+
+  </file>
+
+
+  <file id="output_dcmip2016_regular" enabled="true" output_freq="3h" sync_freq="3h" output_level="10" description="Dry baroclinic wave" timeseries="none" > 
+    
+    <field_group group_ref="dcmip2016_output_field_once"/>
+    
+    <field_group group_ref="dcmip2016_output_field" domain_ref="regular_one_degree" />
+
+    <variable name="model" type="string" > dynamico </variable>
+    <variable name="test_case" type="string" > 161_dry </variable>
+    <variable name="horizontal_resolution" type="string" > 1 degree interpolated (grid points : 80x80x10) </variable>
+    <variable name="levels" type="string" > L30 </variable>
+    <variable name="grid" type="string" > hex </variable>
+    <variable name="equation" type="string" > hydro </variable>
+    <variable name="time_frequency" type="string" > 3hr </variable>    
+
+  </file>
+
+
+</file_definition>
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/gcm.exe
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/gcm.exe	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/gcm.exe	(revision 4232)
@@ -0,0 +1,1 @@
+link ../modeles/DYNAMICO_phyparam/bin/dynamico_phyparam.exe
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/iodef.xml
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/iodef.xml	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/iodef.xml	(revision 4232)
@@ -0,0 +1,26 @@
+<?xml version="1.0"?>
+<simulation> 
+	
+	<context  id="xios">
+		<variable_definition>
+                <variable id="print_file" type="bool"> true </variable> 
+                <!--variable id="min_buffer_size" type="double">1000000</variable--> 
+                <variable id="buffer_size_factor" type="double">4</variable>
+		<variable id="recv_field_timeout" type="double">100</variable>
+     		<variable_group id="buffer">
+         	</variable_group>
+
+        	<variable_group id="parameters" >
+        	   <variable id="info_level" type="int">100</variable>
+                   <variable id="using_server" type="bool">false</variable>
+         	</variable_group>
+		</variable_definition>
+	</context>
+	
+   <context id="icosagcm_input" src="./context_input_dynamico.xml" /> 
+   <context id="icosagcm"       src="./context_dynamico.xml" /> 
+   <!-- For running with LMDZ, following line is added by dynamicolmdz.driver while using libIGCM:   -->
+   <!-- <context id="LMDZ" src="./context_lmdz.xml" />                                               -->
+
+
+</simulation>
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/job_CICLAD.sh
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/job_CICLAD.sh	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/job_CICLAD.sh	(revision 4232)
@@ -0,0 +1,55 @@
+#!/bin/bash
+#PBS -N DYNAMICO_phyparam_mpi
+#PBS -q std
+#PBS -n
+#PBS -l nodes=1:ppn=40
+#PBS -l walltime=00:15:00
+#PBS -l mem=120gb
+#PBS -l vmem=120gb
+
+#####comment:PBS -l mem=31922327552,ncpus=60
+#Jobs start in the HOME directory, cd to submitted directory
+cd "$PBS_O_WORKDIR"
+
+############################################################
+
+echo ------------------JOB SUMMARY--------------------------
+echo 'PBS OUT: Job allocated on: '${NCPU}' cpu(s)'
+echo 'PBS OUT: Job running on the following node(s): '
+cat nodelist.txt
+echo -------------------------------------------------------
+echo PBS OUT: Job running on: $PBS_O_HOST
+echo PBS OUT: Originating queue: $PBS_O_QUEUE
+echo PBS OUT: Executing queue: $PBS_QUEUE
+echo PBS OUT: Work directory: $PBS_O_WORKDIR
+echo PBS OUT: Execution mode: $PBS_ENVIRONMENT
+echo PBS OUT: Job identifier: $PBS_JOBID
+echo PBS OUT: Job name: $PBS_JOBNAME
+echo PBS OUT: Node file: $PBS_NODEFILE
+echo PBS OUT: Current home directory: $PBS_O_HOME
+echo PBS OUT: PATH= $PBS_O_PATH
+echo -------------------------------------------------------
+
+
+export OMP_NUM_THREADS=1
+export OMP_STACKSIZE=128M
+ulimit -s unlimited
+
+module purge
+module load gnu/4.9.3 
+module load intel/15.0.6.233
+module load openmpi/1.6.5-ifort
+module load hdf5/1.8.18-parallel-ifort
+module load netcdf4/4.4.1.1-parallel-ifort
+
+rm -rf gcm.log logs *.nc netcdf
+mpirun -np 40 -cpus-per-proc $OMP_NUM_THREADS -bycore -bind-to-core -report-bindings ./gcm.exe > gcm.log 2>&1
+date >> gcm.log
+
+mkdir -p netcdf
+cp gcm.log *.def netcdf
+mv *.nc netcdf
+
+mkdir -p logs
+cp *.xml logs
+mv xios_client_*.err xios_client_*.out gcm.log logs
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/job_IRENE.sh
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/job_IRENE.sh	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/job_IRENE.sh	(revision 4232)
@@ -0,0 +1,50 @@
+#!/bin/bash
+## Request name
+#MSUB -r DYNAMICO_phyparam_mpi
+## Number of tasks (=MPI processes) to use
+#MSUB -n 40
+## Number of OpenMP threads
+#MSUB -c 1
+## Elapsed time limit in seconds
+#MSUB -T 300
+# account, partition (Xeon/KNL)
+#MSUB -A gen0239
+#MSUB -q skylake
+# Mount  on compute node
+#MSUB -m work
+## Quality of Service required (long [3 days], normal [1 day], test [30 min])
+#MSUB -Q test
+
+export OMP_NUM_THREADS=1
+export OMP_STACKSIZE=128M
+
+cd ${BRIDGE_MSUB_PWD} 
+
+# module c++/gnu is needed to link with XIOS
+# module feature/openmpi/mpi_compiler/intel is made necessary by c++/gnu
+
+module purge
+module load feature/openmpi/mpi_compiler/intel
+module load c++/gnu/7.3.0
+module load intel/17.0.6.256
+module load mpi/openmpi/2.0.4
+module load flavor/hdf5/parallel
+module load netcdf-fortran/4.4.4
+module load mkl/17.0.6.256
+module load hdf5/1.8.20
+module load parmetis/4.0.3
+
+rm -rf gcm.log logs *.nc netcdf
+
+date > gcm.log
+ulimit -s unlimited
+ccc_mprun ./gcm.exe >> gcm.log
+date >> gcm.log
+
+mkdir -p netcdf
+cp gcm.log *.def netcdf
+mv *.nc netcdf
+
+mkdir -p logs
+cp *.xml logs
+mv xios_client_*.err xios_client_*.out gcm.log logs
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/run.def
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/run.def	(revision 4232)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/TEST/run.def	(revision 4232)
@@ -0,0 +1,48 @@
+#------------- Planet ---------------
+radius=6.37122e6
+omega=7.292e-5
+g=9.80616
+cpp=1004.5
+kappa=0.2857143
+preff=1e5
+
+#------------- Dynamics  ------------
+
+#-------------- Mesh ----------------
+nbp=21
+optim_it=500
+nsplit_i=2
+nsplit_j=2
+llm=30
+omp_level_size=1
+disvert=ncarl30
+
+#------------ Numerics --------------
+dt=480
+nqtot=2
+itau_adv=3
+
+#----------- Dissipation ------------
+nitergdiv=2
+tau_graddiv=10000
+nitergrot=2
+tau_gradrot=10000
+niterdivgrad=2
+tau_divgrad=10000
+
+#-------------- Physics -------------
+itau_physics=1
+physics=plugin
+
+#---------------- Run ---------------
+run_length=2592000
+write_period=21600
+
+#run_length=4800
+#write_period=480
+
+etat0=dcmip4
+dcmip4_testcase=1
+
+#------------ Diagnostics -----------
+diagflux=.FALSE.
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/build_DYNAMICO.sh
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/build_DYNAMICO.sh	(revision 4231)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/build_DYNAMICO.sh	(revision 4232)
@@ -3,4 +3,7 @@
 echo "Usage : $0 arch"
 echo " where arch is the architecture name passed to the build scripts"
+
+echo "$0 $*" > rebuild_DYNAMICO.sh
+chmod a+x rebuild_DYNAMICO.sh
 
 ARCH=$1
Index: /dynamico_lmdz/simple_physics/config/DYNAMICO/modeles/DYNAMICO_phyparam/make_dynamico_phyparam
===================================================================
--- /dynamico_lmdz/simple_physics/config/DYNAMICO/modeles/DYNAMICO_phyparam/make_dynamico_phyparam	(revision 4231)
+++ /dynamico_lmdz/simple_physics/config/DYNAMICO/modeles/DYNAMICO_phyparam/make_dynamico_phyparam	(revision 4232)
@@ -39,3 +39,3 @@
 
 export PATH=${DYNAMICO}/tools/FCM/bin/:${PATH}
-fcm build
+fcm build --full