Index: dynamico_lmdz/simple_physics/phyparam/Makefile
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/Makefile	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/Makefile	(revision 4233)
@@ -22,5 +22,8 @@
 clean :
 	rm -f obj/* include/* lib/* xml/*
+
+nice:
 	../bash/beautify.sh physics/*.F90
+
 %.so : $(OBJECTS)
 	$(F90) -shared $^ -o $@ 
Index: dynamico_lmdz/simple_physics/phyparam/check_F2003.sh
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/check_F2003.sh	(revision 4233)
+++ dynamico_lmdz/simple_physics/phyparam/check_F2003.sh	(revision 4233)
@@ -0,0 +1,2 @@
+#!/bin/bash
+F90=gfortran F90FLAGS="-ffree-line-length-none -std=f2003 -Werror" make clean all
Index: dynamico_lmdz/simple_physics/phyparam/physics/astronomy.F90
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/physics/astronomy.F90	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/physics/astronomy.F90	(revision 4233)
@@ -14,5 +14,5 @@
 
   SUBROUTINE solarlong(pday,psollong)
-    REAL, INTENT(IN) :: pday               ! jour de l'annee (le jour 0 correspondant a l'equinoxe)
+    REAL, INTENT(IN) :: pday               ! jour de l annee (le jour 0 correspondant a l equinoxe)
     REAL, INTENT(OUT) :: psollong          ! solar longitude
     LOGICAL, PARAMETER ::  lwrite=.TRUE.
@@ -24,8 +24,8 @@
 
     !--------------------------------------------------------
-    ! calcul de l'angle polaire et de la distance au soleil :
+    ! calcul de l angle polaire et de la distance au soleil :
     ! -------------------------------------------------------
 
-    !  calcul de l'zanomalie moyenne
+    !  calcul de l zanomalie moyenne
 
     zz=(pday-peri_day)/year_day
@@ -33,5 +33,5 @@
     xref=abs(zanom)
 
-    !  resolution de l'equation horaire  zx0 - e * sin (zx0) = xref
+    !  resolution de l equation horaire  zx0 - e * sin (zx0) = xref
     !  methode de Newton
 
@@ -74,6 +74,6 @@
     !   ------
     !    Initialisation du sous programme orbite qui calcule
-    !    a une date donnee de l'annee de duree year_day commencant
-    !    a l'equinoxe de printemps et dont le perihelie se situe
+    !    a une date donnee de l annee de duree year_day commencant
+    !    a l equinoxe de printemps et dont le perihelie se situe
     !    a la date peri_day, la distance au soleil et la declinaison.
     !
@@ -81,5 +81,5 @@
     !   ----------
     !   - initialise certaines variables de ce module
-    !   - Doit etre appele avant d'utiliser orbite.
+    !   - Doit etre appele avant d utiliser orbite.
     !
     !   Arguments:
@@ -88,5 +88,5 @@
     !   Input:
     !   ------
-    !   aphelie       \   aphelie et perihelie de l'orbite
+    !   aphelie       \   aphelie et perihelie de l orbite
     !   periheli      /   en millions de kilometres.
     !
@@ -113,8 +113,8 @@
 
     !-----------------------------------------------------------------------
-    ! calcul de l'angle polaire et de la distance au soleil :
+    ! calcul de l angle polaire et de la distance au soleil :
     ! -------------------------------------------------------
 
-    !  calcul de l'zanomalie moyenne
+    !  calcul de l zanomalie moyenne
 
     zz=(year_day-peri_day)/year_day
@@ -123,5 +123,5 @@
     WRITELOG(*,*) 'zanom  ',zanom
 
-    !  resolution de l'equation horaire  zx0 - e * sin (zx0) = zxref
+    !  resolution de l equation horaire  zx0 - e * sin (zx0) = zxref
     !  methode de Newton
 
Index: dynamico_lmdz/simple_physics/phyparam/physics/logging.F90
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/physics/logging.F90	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/physics/logging.F90	(revision 4233)
@@ -98,5 +98,5 @@
     INTEGER, INTENT(IN) :: index ! index of gridpoint
     CHARACTER(*), INTENT(OUT) :: line
-    line=''
+    line=' '
   END SUBROUTINE default_log_gridpoint
 
Index: dynamico_lmdz/simple_physics/phyparam/physics/radiative_lw.F90
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/physics/radiative_lw.F90	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/physics/radiative_lw.F90	(revision 4233)
@@ -22,8 +22,8 @@
     !=======================================================================
     !
-    !   calcul de l'evolution de la temperature sous l'effet du rayonnement
+    !   calcul de l evolution de la temperature sous l effet du rayonnement
     !   infra-rouge.
     !   Pour simplifier, les transmissions sont precalculees et ne
-    !   dependent que de l'altitude.
+    !   dependent que de l altitude.
     !
     !   arguments:
@@ -76,5 +76,5 @@
 
     !-----------------------------------------------------------------------
-    !   2. calcul des quantites d'absorbants:
+    !   2. calcul des quantites d absorbants:
     !   -------------------------------------
 
Index: dynamico_lmdz/simple_physics/phyparam/physics/radiative_sw.F90
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/physics/radiative_sw.F90	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/physics/radiative_sw.F90	(revision 4233)
@@ -42,5 +42,5 @@
     !
     !   Rayonnement solaire en atmosphere non diffusante avec un
-    !   coefficient d'absoprption gris.
+    !   coefficient d absoprption gris.
     !
     !=======================================================================
@@ -113,5 +113,5 @@
     tau0=-.5*log(coefvis)
 
-    ! calcul de la partie homogene de l'opacite
+    ! calcul de la partie homogene de l opacite
     tau0=tau0/ps_rad
     DO l=1,nlayer+1
@@ -122,5 +122,5 @@
 
     !-----------------------------------------------------------------------
-    !   2. calcul de la transmission depuis le sommet de l'atmosphere:
+    !   2. calcul de la transmission depuis le sommet de l atmosphere:
     !   -----------------------------------------------------------
 
@@ -202,5 +202,5 @@
 
     !-----------------------------------------------------------------------
-    !   6.ajout a l'echauffement de la contribution du ray. sol. reflechit:
+    !   6.ajout a l echauffement de la contribution du ray. sol. reflechit:
     !   -------------------------------------------------------------------
 
Index: dynamico_lmdz/simple_physics/phyparam/physics/read_param_mod.F90
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/physics/read_param_mod.F90	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/physics/read_param_mod.F90	(revision 4233)
@@ -96,4 +96,4 @@
     LOG_INFO('read_param')
   END SUBROUTINE read_paramb
-  
+
 END MODULE read_param_mod
Index: dynamico_lmdz/simple_physics/phyparam/physics/solar.F90
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/physics/solar.F90	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/physics/solar.F90	(revision 4233)
@@ -89,5 +89,5 @@
           pfract(jl)=1.
        ELSE
-	  pmu0(jl)=0.
+          pmu0(jl)=0.
           pfract(jl)=0.
        ENDIF
@@ -102,7 +102,7 @@
     !=============================================================
     ! Auteur : O. Boucher (LMD/CNRS)
-    !          d'apres les routines zenith et angle de Z.X. Li
-    ! Objet  : calculer les valeurs moyennes du cos de l'angle zenithal
-    !          et l'ensoleillement moyen entre gmtime1 et gmtime2
+    !          d apres les routines zenith et angle de Z.X. Li
+    ! Objet  : calculer les valeurs moyennes du cos de l angle zenithal
+    !          et l ensoleillement moyen entre gmtime1 et gmtime2
     !          connaissant la declinaison, la latitude et la longitude.
     ! Rque   : Different de la routine angle en ce sens que zenang
@@ -114,5 +114,5 @@
     !===============================================================
     ! longi----INPUT : la longitude vraie de la terre dans son plan
-    !                  solaire a partir de l'equinoxe de printemps (degre)
+    !                  solaire a partir de l equinoxe de printemps (degre)
     ! gmtime---INPUT : temps universel en fraction de jour
     ! pdtrad---INPUT : pas de temps du rayonnement (secondes)
@@ -133,5 +133,5 @@
     ! omega1, omega2 : temps 1 et 2 exprime en radian avec 0 a midi.
     ! omega : heure en radian du coucher de soleil
-    ! -omega est donc l'heure en radian de lever du soleil
+    ! -omega est donc l heure en radian de lever du soleil
     real omegadeb, omegafin
     real zfrac1, zfrac2, z1_mu, z2_mu
@@ -275,5 +275,5 @@
     !         pdeclin          solar declinaison
     !         plat(npts)        latitude
-    !         phaut            hauteur typique de l'atmosphere
+    !         phaut            hauteur typique de l atmosphere
     !         prad             rayon planetaire
     !
Index: dynamico_lmdz/simple_physics/phyparam/physics/surface.F90
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/physics/surface.F90	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/physics/surface.F90	(revision 4233)
@@ -28,10 +28,6 @@
   SUBROUTINE init_soil(ngrid,nsoil)
     INTEGER, INTENT(IN) :: ngrid, nsoil
-    REAL min_period,dalph_soil
-    REAL fz,rk,fz1,rk1,rk2
+    REAL :: min_period,dalph_soil, rk,fz1,rk1,rk2
     INTEGER :: jk
-
-    ! this is a function definition
-    fz(rk)=fz1*(dalph_soil**rk-1.)/(dalph_soil-1.)
 
     !-----------------------------------------------------------------------
@@ -71,4 +67,11 @@
     ENDDO
     LOG_INFO('init_soil')
+
+  CONTAINS
+
+    FUNCTION fz(rk) RESULT(val)
+      REAL :: val, rk
+      val = fz1*(dalph_soil**rk-1.)/(dalph_soil-1.)
+    END FUNCTION fz
 
   END SUBROUTINE init_soil
Index: dynamico_lmdz/simple_physics/phyparam/physics/turbulence.F90
===================================================================
--- dynamico_lmdz/simple_physics/phyparam/physics/turbulence.F90	(revision 4231)
+++ dynamico_lmdz/simple_physics/phyparam/physics/turbulence.F90	(revision 4233)
@@ -388,5 +388,5 @@
 
     !-----------------------------------------------------------------------
-    !   calcul le l'evolution de la temperature du sol:
+    !   calcul le l evolution de la temperature du sol:
     !   -----------------------------------------------
 